ChangeSet 1.1713.7.13, 2004/04/14 09:49:54-07:00, baldrick@free.fr

[PATCH] USB speedtouch: turn on debugging if CONFIG_USB_DEBUG is set

Hi Greg, this causes the speedtouch driver to output non-verbose
debugging messages if the kernel was configured with CONFIG_USB_DEBUG.
The patch is against your 2.6 kernel tree.


 drivers/usb/misc/speedtch.c |    4 ++++
 1 files changed, 4 insertions(+)


diff -Nru a/drivers/usb/misc/speedtch.c b/drivers/usb/misc/speedtch.c
--- a/drivers/usb/misc/speedtch.c	Wed Apr 14 14:33:12 2004
+++ b/drivers/usb/misc/speedtch.c	Wed Apr 14 14:33:12 2004
@@ -84,6 +84,10 @@
 #define VERBOSE_DEBUG
 */
 
+#if !defined (DEBUG) && defined (CONFIG_USB_DEBUG)
+#	define DEBUG
+#endif
+
 #include <linux/usb.h>
 
 #ifdef DEBUG
